places (Google Maps)

Allows your to scrape the results from Google Maps via our ScrapeIN service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint: The /google/places/ API endpoint allows you to GET the results of your Google Maps query and Google Search query.

📘

Google Maps or Google Search page?

If the location parameter is set to a latitude, longitude and zoom value - for example location=lat:37.8391952,lon:-122.2988076,zoom:12.41 then results will be returned from a Google Maps page.

If the location parameter is set to a location name from the Locations API (or any other free-form location name text) - for example Paris,France then results will be returned from a Google Search page.

Authentication: API-KEY. Use your API-KEY for authentication.
Output format: json, csv

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. See more about the results here.

location for Google Maps

To request Google Maps results based on latitude and longitude coordinates, you need to format the location parameter as follows: location=lat:37.8391952,lon:-122.2988076,zoom:12.41

Here, 37.8391952 is your latitude, -122.2988076 is your longitude, and 12.41 is your zoom level.

Remember to use commas , to separate each section and colons : to separate name/value pairs.

Valid zoom values range from 3 (maximum zoom-out) to 21 (maximum zoom-in).

Google may return results outside the bounds of the zoom level in some cases. If you want to limit the results to the current zoom level only, use strict:true in the location parameter.
For example, lat:39.58467741051493,lon:-0.6752313712718961,zoom:15,strict:true.

Examples:

  • To search for a location at latitude 40.7128 and longitude -74.0060 with a zoom level of 10, the location parameter would be formatted as follows: location=lat:40.7128,lon:-74.0060,zoom:10.
  • To search for a location in Paris with a zoom level of 14, the location parameter would be formatted as follows: location=lat:48.8566,lon:2.3522,zoom:14.
  • To search for a location in Tokyo with a zoom level of 18 and only return results within the current zoom level, the location parameter would be formatted as follows: location=lat:35.6762,lon:139.6503,zoom:18,strict:true.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

Query Params
string
required
Defaults to hotels

Used to define the search query you want to perform. You can use any keyword or phrase that you would use in a regular Google search. For example, you can use the inurl: parameter to search for pages with a specific URL in them, the site: parameter to search within a particular website, or the intitle: parameter to search for pages with a specific title.

string

To request Google Maps results based on latitude and longitude coordinates, you need to format the location parameter as follows: location=lat:37.8391952,lon:-122.2988076,zoom:12.41

string
enum
Defaults to google.com

Specifies the domain of Google to execute the search query on. A complete list of supported values for the google_domain parameter can be viewed here. The default value is google.com.

string
enum
Defaults to en

The hl parameter is responsible for determining the Google user interface language for the returned results. Check out the list of supported values for hl here. The default value for hl is set to en.

int32

Determines the page of results to return (default is 1). The number of results per page is fixed to 20 and that the num parameter has no effect when running Google Maps requests.

int32

Used to get multiple pages of results in one request, the API will paginate through pages automatically and concatenate the results into one response. See the Pagination for more information.

string
enum
Defaults to json

The format of the returned results can be specified using the output parameter. By default, the results are returned in structured JSON format. You can also choose to receive the results in CSV format by setting it to csv.

Allowed:
boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
boolean

This parameter instructs the API to exclude Base64 images from the response. When SERP pages contain Base64-encoded images, including them in the response can significantly increase its size. Therefore, excluding these images can be beneficial in reducing the response size.

string
string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

string

Sets a specific string to be added to the Google tbs parameter in the underlying query. Normally generated automatically by the API, but can be set explicitly as well.

string

Specifies the URL to be scraped instead of using the q parameter to perform a search query. The url parameter must be URL-encoded.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json